import React, { PureComponent } from 'react';
import PropTypes from 'prop-types';
// import cx from 'classnames';
import SimpleModal from '../../components/SimpleModal/SimpleModal';
// import getStyleName from '../../utils/getStyleName';
import styles from './AdModal.scss';

const overwriteModalContainerStyle = {
  width: '90%',
  background: 'transparent',
};

class AdModal extends PureComponent {
  static propTypes = {
    visible: PropTypes.bool,
    setVisible: PropTypes.func,
    children: PropTypes.oneOfType([PropTypes.arrayOf(PropTypes.node), PropTypes.node]),
  };

  static defaultProps = {
    visible: false,
    setVisible: undefined,
    children: undefined,
  };

  closeHandler = () => {
    this.props.setVisible(false);
  };

  render() {
    const { visible } = this.props;

    return (
      <SimpleModal enableModal={visible} closeHandler={this.closeHandler} containerStyle={overwriteModalContainerStyle}>
        <div className={styles['ad-modal-wrapper']}>{this.props.children}</div>
      </SimpleModal>
    );
  }
}

export default AdModal;
