/* eslint-disable import/no-extraneous-dependencies */
import React from 'react';
import { storiesOf } from '@storybook/react';
// import { action } from '@storybook/addon-actions';
import { withInfo } from '@storybook/addon-info';
import { withNotes } from '@storybook/addon-notes';
import { withState } from '@dump247/storybook-state';
import * as knobs from '@storybook/addon-knobs/react';
// import '../StaticHeader.scss';
import AdModal from '../AdModal';
import defaultNotes from './AdModal.md';
import hugeBanner from './desktop-banner.png';

const stories = storiesOf('AdModal', module);

stories.addDecorator(knobs.withKnobs);
stories.addDecorator(story => (
  <div>
    {story()}
    <div style={{ width: '100%', height: '1500px', padding: '80px 0' }}>long content here...</div>
  </div>
));

stories.add(
  'AdModal',
  withNotes(defaultNotes)(
    withState({ visible: true })(
      withInfo()(({ store }) => {
        return (
          <AdModal visible={store.state.visible} setVisible={() => store.set({ visible: false })}>
            <img src={hugeBanner} alt="anue" />
          </AdModal>
        );
      })
    )
  )
);
