import React from 'react';
import { storiesOf } from '@storybook/react';
import { action } from '@storybook/addon-actions';
import { withInfo } from '@storybook/addon-info';
import { withNotes } from '@storybook/addon-notes';
import * as knobs from '@storybook/addon-knobs/react';
import { MobileMenu, MobileNavBoard } from '../index';
import styles from './Container.scss';
import note from './MobileHeader.md';

const storyRefs = {};
const stories = storiesOf('MobileHeader', module);

stories.addDecorator(knobs.withKnobs);

stories.add(
  'default',
  withNotes(note)(
    withInfo()(() => {
      return (
        <div>
          <header className={styles.header}>
            <MobileMenu
              channelName="外匯"
              showCatBoard={() => {
                storyRefs._navBoard.openNavBoard();
                action('MobileMenu.props.showCatBoard()')();
              }}
            />
          </header>
          <MobileNavBoard
            ref={navBoard => {
              storyRefs._navBoard = navBoard;
            }}
            hideCatBoard={action('MobileNavBoard.props.hideCatBoard() : something to do after hidden cat board')}
          />
        </div>
      );
    })
  )
);
