import React from 'react';
import ReactDOM from 'react-dom/server';
import Header from './components/Header/Header';
import Footer from './components/Footer/Footer';
import AdModal from './components/AdModal/AdModal';
import SimpleModal from './components/SimpleModal/SimpleModal';
import AllConfig from './components/Header/config/AllConfig';
import './styles/static.scss';

const allHeaders = Object.keys(AllConfig).reduce((previous, keyName) => {
  const { catNavs, name, navs, ...otherConfig } = AllConfig[keyName];

  return {
    ...previous,
    [`/common/${keyName}Header`]: ReactDOM.renderToString(
      <Header
        catNavs={catNavs}
        channel={name}
        enableFixedHeader={false}
        fixedHeaderType="FIXED_HEADER_FULL"
        location={{ pathname: '/' }}
        navs={navs}
        newsBaseUrl="http://news.cnyes.com"
        stickySubHeader={false}
        {...otherConfig}
      />
    ),
  };
}, {});

module.exports = function render() {
  return {
    ...allHeaders,
    '/common/footer': ReactDOM.renderToString(<Footer now={new Date().getTime()} />),
    '/common/adModal': ReactDOM.renderToString(<AdModal visible />),
    '/common/simpleModal': ReactDOM.renderToString(<SimpleModal enableClose enableModal />),
  };
};
